/*
 * @desc css global styles for desktop view
 *
 */

/* font classes */
 .font-futura {
	font-family: 'Futura';
 }

 .font-wengerone {
	font-family: 'wengerone';
 }

 .font-solutionsubline {
	font-family: 'SOLUTIONSubline';
 }

 .font-conceptsubline {
	font-family: 'CONCEPTSubline';
 }

/* no-gutter for rows */
.no-gutters > .col, .no-gutters > [class*="col-"] {
    padding-right: 0;
    padding-left: 0;
}


.padding-y-section {
	padding: 50px 0 ;
}

body {
	/* http://clagnut.com/sandbox/css3/ */
	-moz-font-feature-settings:"pnum" 1, "liga" 1; 
	-ms-font-feature-settings:"pnum" 1, "liga" 1; 
	-o-font-feature-settings:"pnum" 1, "liga" 1; 
	-webkit-font-feature-settings:"pnum" 1, "liga" 1; 
	font-feature-settings:"pnum" 1, "liga" 1;

}

body.fixed-nav {
	margin-top: 30px;
}

.container {
	max-width: 1032px;
}


strong, b {
	font-weight: 600;
}

.highlight p { font-size: 20px; }


iframe {
    border: 0px;
}

/* heading styles */

h1, h2, h3, h4, h5, h6 { 
	font-family: "Futura",sans-serif;
	text-transform: uppercase;
	line-height: 1.1; 	
	letter-spacing: .035em;
}

h1:before, h3:before { 
		font-family: "wengerone";
		content: "b";
	    font-style: normal;
	    font-weight: normal;
	    font-variant: normal;
	    text-transform: none;
	    speak: none;
	    line-height: 1; 
	    -webkit-font-smoothing: antialiased;
	    position: absolute;
}

h1, h3, h5 { font-weight: 600; }


h5 { font-size: 20px; }


h1, .h1, h3, .h3 { margin-top: 20px; margin-bottom: 0; }
h2, .h2, h4, .h4 { margin-top: 0; margin-bottom: 20px; }

h5 { margin-top: 21px; margin-bottom: 0; }
h6 { margin-top: 0px; margin-bottom: 10px; }


h1:before, h2:before, h3:before, h4:before {

		margin-left: -29px;
	    font-size: 26px;
	    margin-top: 2px;

}

img {
	max-width: 100%;
	height: auto;
}

p {
-webkit-hyphens: auto;
   -moz-hyphens: auto;
        hyphens: auto;
}
/* h5, h6 {
 	&:before {
 	    margin-left: -18px;
 	    font-size: 16px;
 	    margin-top: 1px;
 	}
 } */

.post-content img {
    max-width: 100%;
}
.btn-info {
    padding: 6px 12px 5px;
}
.btn-info:hover, .btn-info:focus, .btn-info:active {
}




.vc_row {
    margin-left: -4px;
    margin-right: -4px;
}

.vc_col-xs-1, .vc_col-sm-1, .vc_col-md-1, .vc_col-lg-1, .vc_col-xs-2, .vc_col-sm-2, .vc_col-md-2, .vc_col-lg-2, .vc_col-xs-3, .vc_col-sm-3, .vc_col-md-3, .vc_col-lg-3, .vc_col-xs-4, .vc_col-sm-4, .vc_col-md-4, .vc_col-lg-4, .vc_col-xs-5, .vc_col-sm-5, .vc_col-md-5, .vc_col-lg-5, .vc_col-xs-6, .vc_col-sm-6, .vc_col-md-6, .vc_col-lg-6, .vc_col-xs-7, .vc_col-sm-7, .vc_col-md-7, .vc_col-lg-7, .vc_col-xs-8, .vc_col-sm-8, .vc_col-md-8, .vc_col-lg-8, .vc_col-xs-9, .vc_col-sm-9, .vc_col-md-9, .vc_col-lg-9, .vc_col-xs-10, .vc_col-sm-10, .vc_col-md-10, .vc_col-lg-10, .vc_col-xs-11, .vc_col-sm-11, .vc_col-md-11, .vc_col-lg-11, .vc_col-xs-12, .vc_col-sm-12, .vc_col-md-12, .vc_col-lg-12 {
    padding-left: 4px;
    padding-right: 4px;
}

.wpb_row, .wpb_content_element, ul.wpb_thumbnails-fluid > li, .last_toggle_el_margin, .wpb_button {
   /* margin-bottom: 16px;*/
}

.wpb_text_column {
	padding: 0 45px;
}

.vc_tta-container {
	padding: 0 45px;
}

/* prevent border at fullwidth video */
.vc_row-no-padding .vc_col-sm-12 {
	padding-left: 0;
	padding-right: 0;
}

/** General Margin bottom of containers  */
.container {
    margin-bottom: 75px;
}

.vc_btn3.vc_btn3-color-white, .vc_btn3.vc_btn3-color-white.vc_btn3-style-flat {
	color: #000;
}

.vc_btn3.vc_btn3-color-white:hover, .vc_btn3.vc_btn3-color-white.vc_btn3-style-flat:hover, .vc_btn3.vc_btn3-color-white:focus, .vc_btn3.vc_btn3-color-white.vc_btn3-style-flat:focus {
    color: #000;
}

.vc_btn3.vc_btn3-size-sm {
	font-size: 15px;
	padding-top: 16px;
}

.vc_btn3.vc_btn3-size-sm .vc_btn3-icon {
    font-size: 15px;
    height: 23px;
    line-height: 1.42857143;
}

/* align lang menu item with other menu items */
#navbar-side-menu > ul.nav {
	padding-top: 25px;
}

/* dimension fix for slider */
div.swiper-container.swiper-container-fade.swiper-container-initialized.swiper-container-horizontal {
	max-width: 1920px;
}


/* height ratio fix for slider background */
@media (min-width: 1025px) {
	.wo-slider-background {
		width: 100%;
		height: 0 !important;
		padding-top: 37.5%;
	}
}


/*********************/
/****** Slider General ******/
/*********************/

.carousel.slide {
    max-width: 1920px;
    margin: 0 auto 10px auto;
}

.carousel-fade .carousel-inner .item {
  opacity: 0;
  transition-property: opacity;
}    
.carousel-fade .carousel-inner .active {
  opacity: 1;
}    
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  left: 0;
  opacity: 0;
  z-index: 1;
}    
.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
  opacity: 1;
}    
.carousel-fade .carousel-control {
  z-index: 2;
}

@media all and (transform-3d), (-webkit-transform-3d) {
  .carousel-fade .carousel-inner > .item.next,
  .carousel-fade .carousel-inner > .item.active.right {
    opacity: 0;
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
  
  .carousel-fade .carousel-inner > .item.prev,
  .carousel-fade .carousel-inner > .item.active.left {
    opacity: 0;
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }

  .carousel-fade .carousel-inner > .item.next.left,
  .carousel-fade .carousel-inner > .item.prev.right,
  .carousel-fade .carousel-inner > .item.active {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
}

/*********************/
/****** Slide Text Styles ******/
/*********************/

.carousel-caption {
    text-shadow: none !important;
}
.carousel-caption.white {
    color: white!important;
    background: black;
}
.carousel-caption.black {
    color: black!important;
    background: white;
}
.carousel-caption.orange {
    color: rgb(255, 106, 0)!important;
    background: black;
}
.carousel-caption {
    position: relative;
    text-align: left;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    padding: 20px;
}

@media(min-width: 1025px) {
    .carousel-caption {
        background: transparent !important;
        position: absolute;
        text-align: left;
        padding: 25px 55px;
    }
}
@media(min-width: 1200px) {
    .carousel-caption {
        padding: 25px 100px;
    }
}



.wo-slider-subheadline{
    font-size: 1.5rem;
    text-transform: uppercase;
    margin-bottom: 1.5rem;
    min-height: 1.5rem;;
}
@media(min-width: 1025px) {
    .wo-slider-subheadline{
        margin-bottom: 3.5rem;
    }
}
@media(min-width: 1300px) {
    .wo-slider-subheadline{
        margin-bottom: 7.5rem;
        font-size: 2.5rem;
    }
}

@media(min-width: 1920px) {
    .wo-slider-subheadline{
        margin-bottom: 20rem;
    }
}


.wo-slider-headline {
    font-weight: 600;
    font-size: 4rem;
    min-height: 12rem;
    line-height: 4rem;
    margin-bottom: 1rem;
    text-transform: uppercase;
}
@media(min-width: 1025px) {
    .wo-slider-headline{
        font-size: 6rem;
        line-height: 6rem;
        min-height: 12rem;
    }
}

@media(min-width: 1500px) {
    .wo-slider-headline{
        font-size: 11.5rem;
        line-height: 11.5rem;
        min-height: 23rem;
    }
}



.wo-slider-text {
    font-size: 2rem;
    line-height: 2.2rem;
    min-height: 6rem;
    text-transform: uppercase;
    margin-bottom: 1rem;
}
@media(min-width: 1025px) {
    .wo-slider-text{
        line-height: 3.3rem;
        font-size: 3rem;
    }
}
@media(min-width: 1300px) {
    .wo-slider-text{
        line-height: 4rem;
        font-size: 3.6rem;
    }
}

@media(min-width: 1200px) {
    .wo-slider-btn {
        position: absolute;
        bottom: 9%
    }
}


.wo-slider-btn .btn {

    font-family: "Futura", sans-serif;
    text-transform: uppercase;
    background: white;
    font-size: 1.6rem;
    line-height: 1.7;
    font-weight: bold;
    border: 0;
    border-radius: 0;
    margin-bottom: 1rem;
    display: inline-block;
}

.carousel-caption.white .wo-slider-btn .btn {
    background: white;
    border: 2px solid white;
    color: black;
}
.carousel-caption.black .wo-slider-btn .btn {
    background : black;
    border: 2px solid black;
    color: white;
}
.carousel-caption.orange .wo-slider-btn .btn {
    background: rgb(255, 106, 0);
    border: 2px solid rgb(255, 106, 0)!important;
    color: white;
}

.wo-slider-btn .btn-outline {
    display: none;
    text-transform: none !important;
    border: 1px solid;
    background: transparent !important;
    font-weight: normal;
}
.carousel-caption.white .btn-outline {
    color: white !important;;
}
.carousel-caption.black .btn-outline {
    color: black !important;;
}
.carousel-caption.orange .btn-outline {
    color: rgb(255, 106, 0) !important;
}

@media(min-width: 1025px) {
    .wo-slider-btn .btn{
        float: left;
    }
    .wo-slider-btn .btn-outline {
        display: block;
    }
}

/*********************/
/****** Slider Control ******/
/*********************/

.carousel-control {
    top: calc((100% - 70px) / 2);
    width: 4%;
    height: 70px;
    opacity: 1;
    filter: unset;
    font-size: unset;
    color: unset;
    text-shadow: unset;
}

.carousel-control.left, .carousel-control.right {
    background-image: unset;
    filter: unset;
}

.carousel-control.left, .wo-slider-button-prev, .carousel-control.right, .wo-slider-button-next {
    width: 27px;
    height: 70px;
}

.carousel-control.left {
    margin-left: 30px;
}

.carousel-control.right {
    margin-right: 30px;
}

.wo-slider-button-prev {
  background: url(https://res.cloudinary.com/hrltx1qd5/image/upload/v1592474191/wengerone/images/svg/150911_Navigation-L_e0g6wu.svg) no-repeat;
}

.wo-slider-button-next {
  background: url(https://res.cloudinary.com/hrltx1qd5/image/upload/v1592474191/wengerone/images/svg/150911_Navigation-R_oz2gkl.svg) no-repeat;
}

.carousel-video-slide-control {
  position: absolute;
  width: 150px;
  height: 48px;
  bottom: 0;
  right: 0;
  z-index: 3;
}

/*********************/
/****** Slider Indicatiors ******/
/*********************/

.carousel-indicators {
    display: none;
}

@media(min-width: 1025px) {
    .carousel-indicators {
        display: block;
    }


}

.carousel-indicators li {
  display: inline-block;
  width: 18px;
  height: 20px;
  margin: 0;
  text-indent: unset;
  border: unset;
  border-radius: unset;
  cursor: pointer;
  background-color: rgba(0,0,0,0);
  opacity: 1;
  background-image: url(https://res.cloudinary.com/hrltx1qd5/image/upload/v1592474172/wengerone/images/png/Slash-Navigator_cngcwl.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  background-color: rgba(0, 0, 0, 0);
}

.carousel-indicators .active {
    background-image: url(https://res.cloudinary.com/hrltx1qd5/image/upload/v1592474172/wengerone/images/png/Slash-Navigator-Active_ghvpgs.png);
    margin: 0;
    width: 18px;
    height: 20px;
    background-color: unset;
    opacity: 1;
}


/*********************/
/****** Vertical Slider ******/
/*********************/

  .carousel-vertical .carousel-control.right, .carousel-vertical .carousel-control.left {
    transform: rotate(90deg);
  }

 .carousel-vertical .carousel-control.left  {
    left: 50%;
    top: 6px;
  }

 .carousel-vertical .carousel-control.right {
    left: calc(50% + 30px);
    bottom: 0px;
    top: calc(100% - 70px);
  }

  .carousel-vertical .wo-slider-button-next, .carousel-vertical .wo-slider-button-prev {
    transform: rotate(0deg);
  }

  .carousel-vertical .carousel-caption {
      top: unset;
      left: 4%;
      bottom: 12%;
  }

  .carousel-vertical .carousel-indicators{
      display: none;
  }

  
/*********************/
/****** Video Button Slider ******/
/*********************/

.video-item ~ .carousel-video-slide-control {
  opacity: 1;
}

.video-item.active ~ .carousel-video-slide-control {
  opacity: 0;
}

.video-item.left ~ .carousel-video-slide-control, .video-item.right ~ .carousel-video-slide-control {
  -webkit-animation: appear-video-button 0.5s steps(10, end);
    animation: appear-video-button 0.5s steps(10, end);
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

.video-item.next.left ~ .carousel-video-slide-control, .video-item.prev.right ~ .carousel-video-slide-control {
  -webkit-animation: disappear-video-button 0.5s steps(10, end);
    animation: disappear-video-button 0.5s steps(10, end);
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@keyframes appear-video-button {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-webkit-keyframes appear-video-button {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes disappear-video-button {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-webkit-keyframes disappear-video-button {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}


/*********************/
/****** Static header image text ******/
/*********************/

.wo-indent-content.indented {
  margin-left: 14px;
}

@media(min-width: 1024px) {
  .wo-indent-content.indented {
    margin-left: 22px;
  }
}
